Bug 627456 - reread_symbols bug (=>preserve_one_value crash) [NEEDINFO]
reread_symbols bug (=>preserve_one_value crash)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
21
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:448735b728006e9a9972d84b4a1...
:
: 571510 580512 618088 618115 620255 622259 647295 650945 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 01:17 EDT by Roland McGrath
Modified: 2015-12-02 11:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:33:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
triage: needinfo? (roland)


Attachments (Terms of Use)
File: backtrace (11.89 KB, text/plain)
2010-08-26 01:17 EDT, Roland McGrath
no flags Details
transcript of gdb session (6.15 KB, text/plain)
2010-08-26 01:21 EDT, Roland McGrath
no flags Details
whole core dump (4.82 MB, application/octet-stream)
2010-08-26 01:22 EDT, Roland McGrath
no flags Details

  None (edit)
Description Roland McGrath 2010-08-26 01:17:00 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/gdb --fullname stap
component: gdb
crash_function: preserve_one_value
executable: /usr/bin/gdb
kernel: 2.6.33.8-149.fc13.x86_64
package: gdb-7.1-33.fc13
rating: 3
reason: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282799640
uid: 5281
Comment 1 Roland McGrath 2010-08-26 01:17:02 EDT
Created an attachment (id=441111)
File: backtrace
Comment 2 Roland McGrath 2010-08-26 01:21:27 EDT
Created attachment 441112 [details]
transcript of gdb session

First bkpt was by C-x SPC, other cmds should be visible in the buffer.

"rr" is a user-defined command that does "run" (.gdbinit), i.e. just skips the confirmation prompt.

The exec-file binary changed between the original run and "rr".  I probably can't supply both copies any more.
Comment 3 Roland McGrath 2010-08-26 01:22:22 EDT
Created attachment 441113 [details]
whole core dump
Comment 4 Jan Kratochvil 2010-08-26 04:25:00 EDT
*** Bug 571510 has been marked as a duplicate of this bug. ***
Comment 5 Jan Kratochvil 2010-08-26 04:25:12 EDT
*** Bug 580512 has been marked as a duplicate of this bug. ***
Comment 6 Jan Kratochvil 2010-08-26 04:26:15 EDT
The problem is reread_symbols (on changed binary) is buggy.  Posted once:
  [patch] Replace reread_symbols by load+free calls
  http://sourceware.org/ml/gdb-patches/2009-06/msg00679.html
but so far never got back to it.
Comment 7 Jan Kratochvil 2010-11-08 08:19:21 EST
*** Bug 650945 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-08 12:25:36 EST
*** Bug 618115 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-08 12:25:41 EST
*** Bug 620255 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-08 12:25:46 EST
*** Bug 622259 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-08 12:25:50 EST
*** Bug 647295 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-11-08 12:25:55 EST
*** Bug 618088 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Admin XMLRPC Client 2011-01-05 22:24:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Bug Zapper 2011-06-01 06:23:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jan Kratochvil 2011-06-08 21:58:23 EDT
Still not fixed.
Comment 16 Fedora End Of Life 2013-04-03 16:05:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Fedora End Of Life 2015-01-09 16:45:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-11-04 10:44:34 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-12-01 21:33:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.